using Hotline.CallCenter.Calls;
using XF.Domain.Repository;

namespace Hotline.CallCenter.Tels
{
    public interface ITelHoldRepository: IRepository<TelHold>
    {
        Task<bool> IsHoldingAsync(string telId, string userId, string callId,CancellationToken cancellationToken);

        Task HandleHoldTime(string callId,string endTime, CancellationToken cancellationToken);
    }
}
